<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ResolvableDependencies (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ResolvableDependencies (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.SortOrder.html" title="enum in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ResolvableDependencies.html" target="_top">Frames</a></li>
<li><a href="ResolvableDependencies.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ResolvableDependencies" class="title">Interface ResolvableDependencies</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a>, <a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ResolvableDependencies</span>
extends <a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></pre>
<div class="block">A set of <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> objects which can be resolved to a set of files. There are various methods on this type that you can use to get the result in different forms:

 <ul>
     <li><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getFiles()"><code>getFiles()</code></a> returns a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> that provides the result as a set of <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io"><code>File</code></a> instances.</li>
     <li><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getResolutionResult()"><code>getResolutionResult()</code></a> returns a <a href="../../../../org/gradle/api/artifacts/result/ResolutionResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolutionResult</code></a> that provides information about the dependency graph.</li>
     <li><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getArtifacts()"><code>getArtifacts()</code></a> returns an <a href="../../../../org/gradle/api/artifacts/ArtifactCollection.html" title="interface in org.gradle.api.artifacts"><code>ArtifactCollection</code></a> that provides the files with additional metadata.</li>
 </ul>

 <p>The dependencies are resolved once only, when the result is first requested. The result is reused and returned for subsequent calls. Once resolved, any mutation to the dependencies will result in an error.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.artifacts.ArtifactView">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#afterResolve(org.gradle.api.Action)">afterResolve</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts">ResolvableDependencies</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be executed after the dependencies of this set have been resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#afterResolve(groovy.lang.Closure)">afterResolve</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</code>
<div class="block">Adds an action to be executed after the dependencies of this set have been resolved.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#artifactView(org.gradle.api.Action)">artifactView</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&gt;&nbsp;configAction)</code>
<div class="block">Returns a builder that can be used to define and access a filtered view of the resolved artifacts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#beforeResolve(org.gradle.api.Action)">beforeResolve</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts">ResolvableDependencies</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be executed before the dependencies in this set are resolved.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#beforeResolve(groovy.lang.Closure)">beforeResolve</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</code>
<div class="block">Adds an action to be executed before the dependencies in this set are resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ArtifactCollection.html" title="interface in org.gradle.api.artifacts">ArtifactCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getArtifacts()">getArtifacts</a></strong>()</code>
<div class="block">Returns the resolved artifacts, performing the resolution if required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts">DependencySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">Returns the set of dependencies which will be resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getFiles()">getFiles</a></strong>()</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> which contains the resolved set of files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the name of this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getPath()">getPath</a></strong>()</code>
<div class="block">Returns the path of this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/result/ResolutionResult.html" title="interface in org.gradle.api.artifacts.result">ResolutionResult</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html#getResolutionResult()">getResolutionResult</a></strong>()</code>
<div class="block">Returns the resolved dependency graph, performing the resolution if required.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasAttributes.html#getAttributes()">getAttributes</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name of this set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name. Never null.</dd></dl>
</li>
</ul>
<a name="getPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath()</pre>
<div class="block">Returns the path of this set. This is a unique identifier for this set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path. Never null.</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFiles()</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> which contains the resolved set of files. The returned value is lazy, so dependency resolution is not performed until the contents of the collection are queried.

 <p>The <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> carries the task dependencies required to build the files in the result, and when used as a task input the files will be built before the task executes.</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ArtifactView.html#getFiles()">getFiles</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection. Never null.</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts">DependencySet</a>&nbsp;getDependencies()</pre>
<div class="block">Returns the set of dependencies which will be resolved.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the dependencies. Never null.</dd></dl>
</li>
</ul>
<a name="beforeResolve(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeResolve</h4>
<pre>void&nbsp;beforeResolve(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts">ResolvableDependencies</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an action to be executed before the dependencies in this set are resolved.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute.</dd></dl>
</li>
</ul>
<a name="beforeResolve(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeResolve</h4>
<pre>void&nbsp;beforeResolve(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</pre>
<div class="block">Adds an action to be executed before the dependencies in this set are resolved.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute.</dd></dl>
</li>
</ul>
<a name="afterResolve(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterResolve</h4>
<pre>void&nbsp;afterResolve(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts">ResolvableDependencies</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an action to be executed after the dependencies of this set have been resolved.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute.</dd></dl>
</li>
</ul>
<a name="afterResolve(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterResolve</h4>
<pre>void&nbsp;afterResolve(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</pre>
<div class="block">Adds an action to be executed after the dependencies of this set have been resolved.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute.</dd></dl>
</li>
</ul>
<a name="getResolutionResult()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResolutionResult</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/artifacts/result/ResolutionResult.html" title="interface in org.gradle.api.artifacts.result">ResolutionResult</a>&nbsp;getResolutionResult()</pre>
<div class="block">Returns the resolved dependency graph, performing the resolution if required. This will resolve the dependency graph but will not resolve or download the files.

 <p>You should note that when resolution fails, the exceptions are included in the <a href="../../../../org/gradle/api/artifacts/result/ResolutionResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolutionResult</code></a> returned from this method. This method will not throw these exceptions.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the resolution result</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.3</dd></dl>
</li>
</ul>
<a name="getArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifacts</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/artifacts/ArtifactCollection.html" title="interface in org.gradle.api.artifacts">ArtifactCollection</a>&nbsp;getArtifacts()
                                throws <a href="../../../../org/gradle/api/artifacts/ResolveException.html" title="class in org.gradle.api.artifacts">ResolveException</a></pre>
<div class="block">Returns the resolved artifacts, performing the resolution if required. This will resolve and download the files as required.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ArtifactView.html#getArtifacts()">getArtifacts</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ResolveException.html" title="class in org.gradle.api.artifacts">ResolveException</a></code> - On failure to resolve or download any artifact.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="artifactView(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>artifactView</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a>&nbsp;artifactView(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&gt;&nbsp;configAction)</pre>
<div class="block">Returns a builder that can be used to define and access a filtered view of the resolved artifacts.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>A view over the artifacts resolved for this set of dependencies.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.SortOrder.html" title="enum in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ResolvableDependencies.html" target="_top">Frames</a></li>
<li><a href="ResolvableDependencies.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
